/*
 * an_gen.h
 *
 *
 *  Created on: 19-07-2017
 *      Author: KJ
 */

#ifndef AN_GEN_H_
#define AN_GEN_H_

#include "tdefs.h"
#include "misc.h"
#include "an_gen.h"

struct an_gen_logic
{
//	u16 an_count;
//	u16 element_num[];
};

struct an_gen_io
{
}__attribute__((__packed__));

struct an_gen_params
{
}__attribute__((__packed__));

struct an_gen_args
{
	struct an_gen_io io;
	struct an_gen_params params;
//	u16 crc;
}__attribute__((__packed__));

struct an_gen_force_params
{
	u32 an_force_mask;
	u16 an_force_amp[MAX_AN_CARDS/2][4];
	float an_force_ph[MAX_AN_CARDS/2][4];
} __attribute__((__packed__));

extern struct an_gen_force_params genpar;
extern u8 an_gen_buf_ready;

extern int an_gen_initlog(void *args, void *logic);
extern void an_gen(void *args, void *logic);

#endif /* AN_GEN_H_ */
